<?php


namespace AutoAdmin\Bundle\Content\Entity\Interfaces;

interface RedirectInterface
{
    public function getOrigin(): ?string;

    public function setOrigin(?string $origin): self;

    public function getDestination(): ?string;

    public function setDestination(?string $destination): self;

    public function getType(): ?int;

    public function setType(?int $type): self;

    public function getCounter(): ?int;

    public function setCounter(?int $counter): self;
}